Update a workspace
curl --request PATCH \
--url https://api.arg.ai/api/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"icon_emoji": "<string>",
"versioning_enabled": true,
"allow_external_sharing": true
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}"
payload = {
"name": "<string>",
"icon_emoji": "<string>",
"versioning_enabled": True,
"allow_external_sharing": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
icon_emoji: '<string>',
versioning_enabled: true,
allow_external_sharing: true
})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Workspaces
Update a workspace
PATCH
/
api
/
workspaces
/
{workspaceId}
Update a workspace
curl --request PATCH \
--url https://api.arg.ai/api/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"icon_emoji": "<string>",
"versioning_enabled": true,
"allow_external_sharing": true
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}"
payload = {
"name": "<string>",
"icon_emoji": "<string>",
"versioning_enabled": True,
"allow_external_sharing": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
icon_emoji: '<string>',
versioning_enabled: true,
allow_external_sharing: true
})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
The response is of type object.